# Generated by Django 4.2.15 on 2024-08-11 19:01

import django.db.models.deletion
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

from action_triggers.conf import DB_TABLE_PREFIX


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Config',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payload', models.JSONField(blank=True, null=True, verbose_name='Payload')),
                ('created_on', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Created on')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_configs', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
                ('models', models.ManyToManyField(help_text='Models to trigger actions on.', related_name='configs', to='contenttypes.contenttype', verbose_name='Models')),
            ],
            options={
                'verbose_name': 'Configuration',
                'verbose_name_plural': 'Configurations',
                'db_table': DB_TABLE_PREFIX + 'config',
            },
        ),
        migrations.CreateModel(
            name='Webhook',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(verbose_name='URL')),
                ('http_method', models.CharField(choices=[('GET', 'GET'), ('POST', 'POST'), ('PUT', 'PUT'), ('PATCH', 'PATCH'), ('DELETE', 'DELETE')], default='POST', max_length=10, verbose_name='HTTP Method')),
                ('headers', models.JSONField(blank=True, null=True, verbose_name='Headers')),
                ('config_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='webhooks', to='action_triggers.config', verbose_name='Configuration')),
            ],
            options={
                'verbose_name': 'Webhook',
                'verbose_name_plural': 'Webhooks',
                'db_table': DB_TABLE_PREFIX + 'webhook',
            },
        ),
        migrations.CreateModel(
            name='MessageBrokerQueue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Corresponds to a queue config in the settings.', max_length=255, verbose_name='Name')),
                ('parameters', models.JSONField(blank=True, help_text='Additional parameters for the queue.', null=True, verbose_name='Parameters')),
                ('config_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='message_broker_queues', to='action_triggers.config', verbose_name='Configuration')),
            ],
            options={
                'verbose_name': 'Message Broker Queue',
                'verbose_name_plural': 'Message Broker Queues',
                'db_table': DB_TABLE_PREFIX + 'message_broker_queue',
            },
        ),
        migrations.CreateModel(
            name='ConfigSignal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('signal', models.CharField(choices=[('pre_save', 'Pre-save'), ('post_save', 'Post-save'), ('pre_delete', 'Pre-delete'), ('post_delete', 'Post-delete')], max_length=50, verbose_name='Signal')),
                ('config_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='config_signals', to='action_triggers.config', verbose_name='Configuration')),
            ],
            options={
                'verbose_name': 'Configuration Signal',
                'verbose_name_plural': 'Configuration Signals',
                'db_table': DB_TABLE_PREFIX + 'config_signal',
            },
        ),
    ]
