# Generated by Django 4.2.16 on 2024-10-05 16:33

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

from action_triggers.conf import DB_TABLE_PREFIX


class Migration(migrations.Migration):

    dependencies = [
        ('action_triggers', '0007_messagebrokerqueue_timeout_secs_webhook_timeout_secs'),
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timeout_secs', models.FloatField(blank=True, help_text='The number of seconds to wait before the action is killed.', null=True, validators=[django.core.validators.MinValueValidator(0.0)], verbose_name='Timeout (seconds)')),
                ('name', models.CharField(help_text='Corresponds to an action config in the settings.', max_length=255, verbose_name='Name')),
                ('conn_details', models.JSONField(blank=True, help_text='Connection details for the action.', null=True, verbose_name='Connection Details')),
                ('parameters', models.JSONField(blank=True, help_text='Additional parameters for the action.', null=True, verbose_name='Parameters')),
                ('config', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='action_triggers.config', verbose_name='Configuration')),
            ],
            options={
                'verbose_name': 'Action',
                'verbose_name_plural': 'Actions',
                'db_table': DB_TABLE_PREFIX + 'action',
            },
        ),
    ]
